### Method

# Aravis Camera gv_select_stream_channel

since: 0.8.0

#### Declaration [src]

    void
    arv_camera_gv_select_stream_channel (
      ArvCamera* camera,
      gint channel_id,
      GError** error
    )

#### Description [src]

Select the current stream channel. Negative `channel_id` is ignored.

Available since: 0.8.0

#### Parameters

`channel_id`

  Type: `gint`

  Id of the channel to select.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.